function getScript(src, callback) {
    var s = document.createElement('script');
    s.src = src;
    s.async = true;
    s.onreadystatechange = s.onload = function() {
        if (!callback.done && (!s.readyState || /loaded|complete/.test(s.readyState))) {
            callback.done = true;
            callback();
        }
    };
    document.querySelector('head').appendChild(s);
}

getScript('https://www.cypruswebsites.com/acrons/anews/latestNews.js?_=' + new Date().getTime() , populate);

//Specify the marquee's width (in pixels)
var marqueewidth="140px";
//Specify the marquee's height
var marqueeheight="140px";
//Specify the marquee's marquee speed (larger is faster 1-10)
var marqueespeed=1;
//Pause marquee onMousever (0=no. 1=yes)?
var pauseit=1;

////NO NEED TO EDIT BELOW THIS LINE////////////

marqueespeed=(document.all)? marqueespeed : Math.max(1, marqueespeed-1); //slow speed down by 1 for NS
var copyspeed=marqueespeed;
var pausespeed=(pauseit==0)? copyspeed: 0;
var iedom=document.all||document.getElementById;
var actualheight='';
var cross_marquee, ns_marquee;

function populate(){
    var links = marqueecontent.replace("target='_blank'", "target='_blank' rel='nofollow'")
    if (iedom){
        cross_marquee=document.getElementById? document.getElementById("iemarquee") : document.all.iemarquee;
        cross_marquee.style.top=parseInt(marqueeheight)+8+"px";
        cross_marquee.innerHTML=links;
        actualheight=cross_marquee.offsetHeight;
    }
    else if (document.layers){
        ns_marquee=document.ns_marquee.document.ns_marquee2;
        ns_marquee.top=parseInt(marqueeheight)+8;
        ns_marquee.document.write(links);
        ns_marquee.document.close();
        actualheight=ns_marquee.document.height;
    }
    lefttime=setInterval("scrollmarquee()",50);
}
//window.onload=populate



function scrollmarquee(){

    if (iedom){
        if (parseInt(cross_marquee.style.top)>(actualheight*(-1)+8))
            cross_marquee.style.top=parseInt(cross_marquee.style.top)-copyspeed+"px";
        else
            cross_marquee.style.top=parseInt(marqueeheight)+8+"px";
    }
    else if (document.layers){
        if (ns_marquee.top>(actualheight*(-1)+8))
            ns_marquee.top-=copyspeed;
        else
            ns_marquee.top=parseInt(marqueeheight)+8;
    }
}

if (iedom||document.layers){
    with (document){
        if (iedom){
            write('<div id="newsScroller" style="position:relative;height:'+marqueeheight+';overflow:hidden" onMouseover="copyspeed=pausespeed" onMouseout="copyspeed=marqueespeed">');
            write('<div id="iemarquee" style="position:absolute;left:0;top:0;width:100%;">');
            write('</div></div>');
        }
        else if (document.layers){
            write('<ilayer width='+marqueewidth+' height='+marqueeheight+' name="ns_marquee">');
            write('<layer name="ns_marquee2" width='+marqueewidth+' height='+marqueeheight+' left=0 top=0 onMouseover="copyspeed=pausespeed" onMouseout="copyspeed=marqueespeed"></layer>');
            write('</ilayer>');
        }
    }
}